PO_COS_NAMING_SHELL(1)

NAME
po_cos_naming_shell - navigate and interact with the CORBA COS Naming implementation.

SYNOPSIS
po_cos_naming_shell [-s] [-i] [-I <IOR>] [-n]

All the command line switches are optional. Note: if no root directory initial reference is specified (see section OPTIONS), a new one is created on startup.

DESCRIPTION
po_cos_naming_shell(1) is very similar to the po_cos_naming(1) application. po_cos_naming_shell(1) can can act as standalone server that supports the CORBA COS Naming specification. In addition, po_cos_naming_shell(1) provides an interactive shell which can be used to query and manage the CORBA COS naming service.

po_cos_naming_shell(1) is able to retrieve an existing root directory reference, or it can create a new one on application startup.

To display all available shell commands, type help on the command line.

OPTIONS
po_cos_naming_shell(1) accepts the following command line switches:

-s
    Register root directory initial reference.

-i
    Retrieve root directory initial reference.

-I <IOR>
    Use object denoted by IOR as root directory.

-n
    Retrieve root directory by name.

AUTHOR
This manual page was written by Reto Buerki <reet@codelabs.ch> for the Debian GNU/Linux system (but may be used by others).

RESOURCES
Polyorb User Manual: http://www.adacore.com/wp-content/files/auto_update/polyorb-docs/polyorb_ug.html/

SEE ALSO
po_cos_naming(1), po_names(1).